############################################################
#
# type definition pro_declaration_component_lcgbdii
#
# RESPONSIBLE: Charles Loomis <charles.loomis@cern.ch>
#
# AUTHOR: Charles Loomis <charles.loomis@cern.ch>
#
# VERSION : 2.0.3
#
# Translation of lcg-lcfg-bdii by Laurence Field.
#
############################################################

declaration template pro_declaration_component_lcgbdii;

include pro_declaration_structures;

include pro_declaration_types;

define type component_lcgbdii = {
	include structure_component

	"configFile"    : string

	"portRead"      : type_port
	"portsWrite"    : type_port[]
	"user"          : string
	"bind"          : string
	"passwd"        : string
	"searchFilter"  : string
	"searchTimeout" : long with (self>0)
	"breatheTime"   : long with (self>0)
	"autoUpdate"    : string with match (self, 'yes|no')
	"autoModify"    : string with match (self, 'yes|no')
	"dir"           : string

        "updateUrl"     : type_URI
        "updateLdif"    : type_URI

	"slapd"         : string
	"slapadd"       : string

	"urls"          ? type_hostURI{}
};

type "/software/components/lcgbdii" = component_lcgbdii;
